function [f, g, diag]=sdrivefun(x);

D=length(x);
halfD=D/2;
x1=zeros(halfD, 1);
x2=zeros(halfD, 1);
for i=1:halfD
	x1(i)=x(i*2-1);
	x2(i)=x(i*2);
end

t1=1.-x1;
t2=(x2-x1.^2)*10;
f=sum(t1.^2+t2.^2);

g=zeros(D, 1);
g2=t2.*20.;
g1=(x1.*g2+t1)*-2;
for i=1:halfD
	g(i*2-1)=g1(i);
	g(i*2)=g2(i);
end

