function svm

load heart_scale
y=heart_scale_label;
x=[heart_scale_inst ones(size(y))];

C = 0.25;
eps = 0.001;
fn=@(w) svm_fg(y, x, C, w);
w0 = zeros(size(x, 2), 1);
opts=options('maxits', 10000, 'm', 5, 'eps', eps, 'xtol', 1e-16);

[w]=lbfgs_mex(fn, w0, opts);


function [f,g]=svm_fg(y, x, C, w)

z = max(1-x*w.*y, 0);
f = w'*w/2 + C*z'*z;
g = w - 2*C*x'*(z.*y); 
